> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Change account settings

> Change the CDN service settings in your account.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml put /cdn/resellers/me
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/resellers/me:
    put:
      tags:
        - Account
      summary: Change account settings
      description: Change the CDN service settings in your account.
      operationId: change-account-settings
      requestBody:
        $ref: '#/components/requestBodies/ChangeResellersAccountDetails'
      responses:
        '200':
          $ref: '#/components/responses/ResellersMe'
        '400':
          $ref: '#/components/responses/ChangeResellersAccountDetailsFailed'
components:
  requestBodies:
    ChangeResellersAccountDetails:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateResellerMeDetails'
          example:
            default_enabled_features:
              - 2
              - 3
  responses:
    ResellersMe:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResellersMe'
          examples:
            default:
              $ref: '#/components/examples/ResellersMe'
    ChangeResellersAccountDetailsFailed:
      description: Invalid value of "default_enabled_features" parameter is provided.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateResellerMeDetailsFailed'
  schemas:
    UpdateResellerMeDetails:
      type: object
      properties:
        default_enabled_features:
          allOf:
            - $ref: >-
                #/components/schemas/body_request_resellers_DefaultEnabledFeatures
    ResellersMe:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_reseller_ID'
        available_features:
          allOf:
            - $ref: '#/components/schemas/body_response_reseller_AvailableFeatures'
        default_enabled_features:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_reseller_DefaultEnabledFeatures
    UpdateResellerMeDetailsFailed:
      description: Invalid value of "default_enabled_features" parameter is provided.
      type: object
      properties:
        errors:
          type: object
          properties:
            default_enabled_features:
              type: array
              description: >-
                List of paid features IDs that you cannot manage.


                To get information about available features, use [Get account
                settings](/api-reference/cdn-resellers/account/get-account-settings)
                section.
              items:
                type: string
              example:
                - >-
                  You have no permission to manage these features: [4]. Use only
                  these: [1, 2, 3].
    body_request_resellers_DefaultEnabledFeatures:
      type: array
      items:
        type: integer
      description: >-
        Paid features IDs that will be enabled for new clients created after the
        field value is specified.


        The list must contain available features only.
    body_response_reseller_ID:
      type: integer
      description: Reseller account ID.
    body_response_reseller_AvailableFeatures:
      type: array
      description: IDs of paid features that you can manage for your clients accounts.
      items:
        $ref: '#/components/schemas/body_response_features_ID'
    body_response_reseller_DefaultEnabledFeatures:
      type: array
      description: IDs of paid features that will be enabled for new clients.
      items:
        $ref: '#/components/schemas/body_response_features_ID'
    body_response_features_ID:
      type: integer
      description: Feature ID.
  examples:
    ResellersMe:
      value:
        id: 1
        available_features:
          - 1
          - 2
          - 3
        default_enabled_features:
          - 2
          - 3
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````